Retrieve a shift definition
Returns a single shift definition record by its internal ID.
Tip
Check the Swagger page for more technical information on the endpoints.
Endpoint details
GET
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/shift-definitions/{shiftDefinitionReference}
Headers: Authorization: Bearer {token}, User-Agent: {agent}
Scope: connector-protimeapi-shift-definitions.read
URL parameters
| Parameter | Description |
|---|---|
{shiftDefinitionReference} |
The internal ID or external reference of the shift definition. |
Response properties
| Field | Type | Required | Writable | Description |
|---|---|---|---|---|
changeVersion |
string | — | Read-only | Property to indicate the order of changes. |
id |
integer | — | Read-only | Internal unique identifier for the shift definition. |
name.default |
string | — | Read-only | Default name value of the shift definition. |
name.translations |
object | — | Read-only | A list of translated names of the definition by language code. |
code |
string | — | Read-only | A shift code used for this definition. |
friendlyName.default |
string | — | Read-only | Default friendly name value for this definition shown to users. |
friendlyName.translations |
object | — | Read-only | A list of translated friendly names by language code. |
isEnabled |
boolean | — | Read-only | Indicates if the shift definition is enabled in myProtime. |
External references
The endpoint supports predefined and custom external references. See the external references page for details.
Caution
There are some restrictions on the characters allowed in URL requests. See the fetching resources page for more information.
For background on how shift definitions influence other collections, see Shift definition behaviour.
Error responses
| Status | Condition |
|---|---|
400 |
Invalid external reference specification |
401 |
Missing or invalid access token, or insufficient scope |
404 |
Shift definition with the given ID does not exist |
Examples
Retrieving a shift definition by internal ID
Example with internal ID 7:
GET
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/shift-definitions/7
Retrieving a shift definition by external reference
Example with shift code V2:
GET
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/shift-definitions/V2?externalReferences=(shift-definitions,@shift-code)
With custom external reference
Example with custom external reference EARLY-SHIFT:
GET
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/shift-definitions/EARLY-SHIFT?externalReferences=(shift-definitions,customShiftCode)